%define major 4
%define libname %mklibname ev %{major}
%define develname %mklibname ev -d

Summary:	High-performance event loop/event model
Name:		libev
Epoch:		1
Version:	4.24
Release:	%mkrel 1
License:	BSD
Group:		System/Libraries
Url:		http://software.schmorp.de/pkg/libev.html
Source0:	http://dist.schmorp.de/libev/%{name}-%{version}.tar.gz
Source1:	%{name}.pc.in
Patch1:		libev-4.15-Add-pkgconfig-support.patch

%description
libev is a high-performance event loop/event model with lots of features.
(see benchmark at http://libev.schmorp.de/bench.html)

It is modeled (very loosely) after libevent and the Event Perl module,
but aims to be faster and more correct, and also more featureful.

%package -n %{libname}
Summary:    High-performance event loop/event model
Group:      System/Libraries

%description -n %{libname}
libev is a high-performance event loop/event model with lots of features.
(see benchmark at http://libev.schmorp.de/bench.html)

It is modeled (very loosely) after libevent and the Event perl module,
but aims to be faster and more correct, and also more featureful.

%package -n %{develname}
Summary:    High-performance event loop/event model
Group:      Development/C
Requires:   %{libname} = %{epoch}:%{version}-%{release}
Provides:   %{name}-devel = %{epoch}:%{version}-%{release}
Provides:   ev-devel = %{epoch}:%{version}-%{release}

%description -n %{develname}
This is the development files needed in order to develop applications using
libev.

%prep
%setup -q

%autopatch -p1
autoreconf -i

%build
%configure2_5x --includedir=%{_includedir}/%{name} --disable-static --with-pic
%make

%install
%makeinstall_std

rm -rf %{buildroot}%{_libdir}/%{name}.la

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc README
%{_includedir}/%{name}
%{_libdir}/%{name}*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/ev*


%changelog
* Tue Jan 10 2017 shlomif <shlomif> 1:4.24-1.mga6
+ Revision: 1080890
- New version 4.24.

* Tue May 10 2016 tv <tv> 1:4.22-1.mga6
+ Revision: 1012019
- drop patch 0 (no more needed)
- new release

* Wed Feb 03 2016 umeabot <umeabot> 1:4.15-5.mga6
+ Revision: 933383
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:4.15-4.mga5
+ Revision: 750740
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:4.15-3.mga5
+ Revision: 681445
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1:4.15-2.mga4
+ Revision: 530328
- Mageia 4 Mass Rebuild

* Mon Jul 22 2013 dams <dams> 1:4.15-1.mga4
+ Revision: 457243
- new version 4.15

* Sat Jan 12 2013 umeabot <umeabot> 1:4.11-3.mga3
+ Revision: 357062
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 31 2012 guillomovitch <guillomovitch> 1:4.11-2.mga3
+ Revision: 336595
- drop conflict with libevent-devel, the header is now installed in a different location

* Thu Jun 07 2012 shlomif <shlomif> 1:4.11-1.mga3
+ Revision: 256669
- Correct typos
- New release: 4.11

* Sun Nov 06 2011 dmorgan <dmorgan> 1:4.04-2.mga2
+ Revision: 164177
- Fix headers location

* Sat Jul 16 2011 fwang <fwang> 1:4.04-1.mga2
+ Revision: 124734
- new version 4.04

* Thu Mar 24 2011 boklm <boklm> 1:3.9-5.mga1
+ Revision: 76166
- rebuild for bug #497

* Sun Mar 13 2011 shikamaru <shikamaru> 1:3.9-4.mga1
+ Revision: 70251
- imported package libev

